Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy
Class ComponentIsNotFocusedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.netbeans.jemmy.JemmyException
                              |
                              +--org.netbeans.jemmy.JemmyInputException
                                    |
                                    +--org.netbeans.jemmy.ComponentIsNotFocusedException

All Implemented Interfaces:
  java.io.Serializable

public class ComponentIsNotFocusedException
extends JemmyInputException

Exception can be thrown as a result of attempt to produce a key operation for a component which does not have focus.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  Serialized Form

Constructor Summary
`ComponentIsNotFocusedException(java.awt.Component comp)` Constructs a ComponentIsNotFocusedException object.

Methods inherited from class org.netbeans.jemmy.JemmyInputException
`getComponent`

Methods inherited from class org.netbeans.jemmy.JemmyException
`getInnerException, getInnerThrowable, getObject, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentIsNotFocusedException

    public ComponentIsNotFocusedException(java.awt.Component comp)

  Constructs a ComponentIsNotFocusedException object.
  Parameters:
    `comp` - a Component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD